Homepage | Products | OX Knowledge Base | Support | Try Now | Contact | Company
OX Logo
Results 1 to 2 of 2
  1. #1
    mendosoft Guest

    Default Still struggling with admindaemon/gui due to OSGI errors re: classpath

    I've yet to get the admin up and running under OS X 1.4 Tiger. Dunno if it's cuz I'm not on Linux but I doubt it. I can run any of this stuff under Eclipse, but the OSGI bundling gives me these errors re: getting access to common-logging.jar:

    I've tried to work this out myself but it's just not happening - and I'm burning time I need to spend elsewhere....

    Any ideas? TIA.



    !SESSION 2007-04-13 23:50:31.550 -----------------------------------------------
    eclipse.buildId=unknown
    java.version=1.5.0_07
    java.vendor=Apple Computer, Inc.
    BootLoader constants: OS=macosx, ARCH=x86, WS=carbon, NL=en
    Command-line arguments: -configuration file:/opt/open-xchange/etc/admindaemon/osgi/

    !ENTRY open_xchange_admin 4 0 2007-04-13 23:50:31.804
    !MESSAGE FrameworkEvent.ERROR
    !STACK 0
    org.osgi.framework.BundleException: The activator com.openexchange.admin.daemons.Activator for bundle open_xchange_admin is invalid
    at org.eclipse.osgi.framework.internal.core.AbstractB undle.loadBundleActivator(AbstractBundle.java:141)
    at org.eclipse.osgi.framework.internal.core.BundleCon textImpl.start(BundleContextImpl.java:962)
    at org.eclipse.osgi.framework.internal.core.BundleHos t.startWorker(BundleHost.java:317)
    at org.eclipse.osgi.framework.internal.core.AbstractB undle.resume(AbstractBundle.java:329)
    at org.eclipse.osgi.framework.internal.core.Framework .resumeBundle(Framework.java:1037)
    at org.eclipse.osgi.framework.internal.core.StartLeve lManager.resumeBundles(StartLevelManager.java:573)
    at org.eclipse.osgi.framework.internal.core.StartLeve lManager.incFWSL(StartLevelManager.java:484)
    at org.eclipse.osgi.framework.internal.core.StartLeve lManager.doSetStartLevel(StartLevelManager.java:27 5)
    at org.eclipse.osgi.framework.internal.core.StartLeve lManager.launch(StartLevelManager.java:245)
    at org.eclipse.osgi.framework.internal.core.SystemBun dle.resume(SystemBundle.java:155)
    at org.eclipse.osgi.framework.internal.core.Framework .launch(Framework.java:503)
    at org.eclipse.osgi.framework.internal.core.OSGi.laun ch(OSGi.java:51)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.st artup(EclipseStarter.java:289)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.ru n(EclipseStarter.java:173)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.ma in(EclipseStarter.java:150)
    Caused by: java.lang.NoClassDefFoundError: org/apache/commons/logging/LogFactory
    at com.openexchange.admin.daemons.Activator.<clinit>( Activator.java:66)
    at sun.reflect.NativeConstructorAccessorImpl.newInsta nce0(Native Method)
    at sun.reflect.NativeConstructorAccessorImpl.newInsta nce(NativeConstructorAccessorImpl.java:39)
    at sun.reflect.DelegatingConstructorAccessorImpl.newI nstance(DelegatingConstructorAccessorImpl.java:27)
    at java.lang.reflect.Constructor.newInstance(Construc tor.java:494)
    at java.lang.Class.newInstance0(Class.java:350)
    at java.lang.Class.newInstance(Class.java:303)
    at org.eclipse.osgi.framework.internal.core.AbstractB undle.loadBundleActivator(AbstractBundle.java:136)
    ... 14 more
    Root exception:
    java.lang.NoClassDefFoundError: org/apache/commons/logging/LogFactory

  2. #2
    mendosoft Guest

    Default Workaround found....

    So the problem with OSGI was that I was using different versions of common-logging and mysql-connector than what was showing up in the OSGI config.

    A symlink between the standard versions of these jars to my newer versions seemed to fix the problem and I can now run the admindaemon and the cli commands.

    lrwxr-xr-x 1 root admin 23 Apr 14 12:17 /opt/open-xchange/lib/commons-logging.jar -> commons-logging-1.1.jar
    lrwxr-xr-x 1 root admin 34 Apr 14 13:37 /opt/open-xchange/lib/mysql-connector-java-3.1.13-bin.jar -> mysql-connector-java-5.0.4-bin.jar

    I'm not sure if I can tell OSGI to use these other jar versions or not (?), but at least I'm up and running now.

    Thx.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •